<template>
  <div class="version-control">
    <h3 class="py-5 primary--text">Views</h3>
    <v-col cols="7">
      <v-row>
        <v-tabs hide-slider v-model="tab">
          <v-tab v-for="item in platformList" :key="item.key">
            {{ item.text }}
          </v-tab>
          <v-tabs-items v-model="tab">
            <v-tab-item v-for="item in platformList" :key="item.key">
              <v-card flat>
                <v-card-text>
                  <component :is="item.key"></component>
                </v-card-text>
              </v-card>
            </v-tab-item>
          </v-tabs-items>
        </v-tabs>
      </v-row>
    </v-col>
  </div>
</template>
<script>
import '@/assets/scss/theme/index.scss'
import InputView from './Input'
import ButtonView from './Button'
import ColorsView from './Colors'
import SnackbarView from './Snackbar'
import TypographyView from './Typography'

export default {
  name: 'Views',
  data() {
    return {
      tab: 0
    }
  },
  components: {
    InputView,
    SnackbarView,
    ButtonView,
    ColorsView,
    TypographyView
  },
  computed: {
    platformList() {
      return [
        {
          key: 'input-view',
          text: 'Inputs'
        },
        {
          key: 'typography-view',
          text: 'Typography'
        },
        {
          key: 'button-view',
          text: 'Buttons'
        },
        {
          key: 'snackbar-view',
          text: 'Snakcbars'
        },
        {
          key: 'colors-view',
          text: 'Colors'
        }
      ]
    }
  }
}
</script>
